Subject: Re: [PATCH RFC net-next 1/1] ptp: add an ioctl to compare PHC time with system time

From: Miroslav Lichvar <[email-masked]>
Date: Fri, 28 Sep 2012 10:50:31 +0200

On Fri, Sep 28, 2012 at 10:26:38AM +0200, Richard Cochran wrote:
> I am guessing it would be possible to synchronize two PHC devices to
> within a few microseconds this way. Probably that is not good enough
> to implement a boundary clock, for example, so I have my doubts about
> the utility of this. 

I think with two identical PHCs the error would be much smaller, even
if the two fastest consecutive readings took together ~5 microseconds.
The error could be measured with a short cable connecting the two ports
and compared the TX and RX timestamps, and compensated in the
software if it's significant.

> But in any case, it is possible, and I think that
> feature can wait for now.

Ok, thanks.

-- 
Miroslav Lichvar